#
# spec file for package rubygem-globalid
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-globalid
VCS: https://src.suse.de/SLFO-pool/rubygem-globalid#d43effd1eb755f624c9d49dca1123eafd9412bb7a89aaef350085bd86461a361
Version:        1.2.1
Release:        160000.1.2
%define mod_name globalid
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
URL:            http://www.rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Refer to any model with a URI: gid://app/class/id
License:        MIT

%description
URIs for your models makes it easy to pass references around.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 dan.cermak@posteo.net
- New upstream release 1.2.1, no changelog found
* Fri Jan 27 2023 pgajdos@suse.com
- version update to 1.1.0
  * URI::GID: Update #check_scheme, no need to call super by @alexcwatt in #146
  * JSON-encode GlobalIDs as strings by @georgeclaghorn in #149
  * Support pattern matching of GlobalID & GlobalID::URI by @ojab in #140
  * prevent double find by @ooooooo-q in #148
  * implement non signed global_id helper method on fixture set by @rainerborene in #144
* Mon Jan 23 2023 mrueckert@suse.de
- update to 1.0.1
  Fix ReDoS vulnerability in name parsing (CVE-2023-22799 [bsc#1207587])
* Sat Dec 25 2021 mschnitzer@suse.com
- updated to version 1.0.0
  Stable API release.
  The code is the same as the 0.6.0 release.
* Fri Dec 24 2021 mschnitzer@suse.com
- updated to version 0.6.0
  * Add ActiveRecord::FixtureSet.signed_global_id helper to generate signed ids inside fixtures.
* Wed Aug 25 2021 mschnitzer@suse.com
- updated to version 0.5.2
  * Add back Ruby 2.5 support so gem install rails works out of the box,
    thereby satisfying Rails' Ruby version requirement. See rails/rails#42931
* Mon Jan 14 2019 mschnitzer@suse.com
- updated to version 0.4.2
  * Allow configuration in initialisers 3c8f909
  * Clear to_global_id memoization on dup #109
  * Adds hash equality #108
* Thu Oct 26 2017 coolo@suse.com
- updated to version 0.4.1
  no changelog found
* Mon Apr 17 2017 coolo@suse.com
- updated to version 0.4.0
  no changelog found
* Wed Jul 27 2016 coolo@suse.com
- updated to version 0.3.7
  no changelog found
* Wed Aug  5 2015 coolo@suse.com
- updated to version 0.3.6
  no changelog found
* Thu Apr  9 2015 coolo@suse.com
- updated to version 0.3.5
* Fri Feb 13 2015 coolo@suse.com
- updated to version 0.3.3
* Tue Feb 10 2015 coolo@suse.com
- initial package (version 0.3.2)
